package com.psp.constants;

import de.hybris.platform.cms2.model.site.CMSSiteModel;
import de.hybris.platform.core.model.order.payment.PaymentModeModel;
import de.hybris.platform.core.model.type.ComposedTypeModel;

public interface PspFlexiSearchQueries {

    String ALL_ACTIVE_PAYMENTMODES_WITHIN_THRESHOLD = "SELECT {" + PaymentModeModel.PK + "} FROM {" + PaymentModeModel._TYPECODE + " AS payment JOIN PaymentMode2CMSSite AS rel ON {rel:source} = {payment:" + PaymentModeModel.PK + "} JOIN " + CMSSiteModel._TYPECODE + " AS cmssite ON {cmssite:" + CMSSiteModel.PK + "} = {rel:target}} WHERE {cmssite:" + CMSSiteModel.PK + "}=?cmsSite AND {payment:" + PaymentModeModel.ACTIVE + "} = 1 AND (({payment:" + PaymentModeModel.MAXTHRESHOLD + "} >= ?amount AND {payment:" + PaymentModeModel.MINTHRESHOLD + "} <= ?amount) OR {payment:" + PaymentModeModel.MAXTHRESHOLD + "} IS NULL OR {payment:" + PaymentModeModel.MINTHRESHOLD + "} IS NULL)";

    String ACTIVE_PAYMENTMODE_WITHIN_THRESHOLD = "SELECT {" + PaymentModeModel.PK + "} FROM {" + PaymentModeModel._TYPECODE + "} WHERE {" + PaymentModeModel.ACTIVE + "} = 1 AND (({" + PaymentModeModel.MAXTHRESHOLD + "} >= ?amount AND {" + PaymentModeModel.MINTHRESHOLD + "} <= ?amount) OR {" + PaymentModeModel.MAXTHRESHOLD + "} IS NULL OR {" + PaymentModeModel.MINTHRESHOLD + "} IS NULL)" + " AND {" + PaymentModeModel.CODE + "} = ?code";

    String ACTIVE_PAYMENTMODE_FOR_PAYMENT_INFO = "SELECT {" + PaymentModeModel.PK + "} FROM {" + PaymentModeModel._TYPECODE + " AS pm JOIN " + ComposedTypeModel._TYPECODE + " AS ct ON {pm." + PaymentModeModel.PAYMENTINFOTYPE + "} = {ct." + ComposedTypeModel.PK + "}} WHERE {pm." + PaymentModeModel.ACTIVE + "} = 1 AND {ct." + ComposedTypeModel.CODE + "} = ?code";
}
