package com.psp.payment.common.dao;

import de.hybris.platform.cms2.model.site.CMSSiteModel;
import de.hybris.platform.core.model.order.payment.PaymentInfoModel;
import de.hybris.platform.core.model.order.payment.PaymentModeModel;
import de.hybris.platform.order.daos.PaymentModeDao;

import java.math.BigDecimal;
import java.util.List;

public interface PspPaymentModeDao extends PaymentModeDao {

    List<PaymentModeModel> findActivePaymentModeForCode(BigDecimal amount, String code);

    List<PaymentModeModel> findActivePaymentModes(BigDecimal amount, final CMSSiteModel cmsSiteModel);

    List<PaymentModeModel> findActivePaymentModeForPaymentInfo(PaymentInfoModel paymentInfoModel);
}
