package com.psp.payment.common.dao.impl;

import com.psp.model.ErrorMessageModel;
import com.psp.payment.common.dao.PspErrorMessageDao;
import de.hybris.platform.servicelayer.internal.dao.DefaultGenericDao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class PspErrorMessageDaoImpl extends DefaultGenericDao<ErrorMessageModel> implements PspErrorMessageDao {

    public PspErrorMessageDaoImpl() {
        this(ErrorMessageModel._TYPECODE);
    }

    public PspErrorMessageDaoImpl(String typecode) {
        super(typecode);
    }

    @Override
    public List<ErrorMessageModel> findErrorMessageByCode(String code) {
        Map<String, String> searchParameters = new HashMap<>();
        searchParameters.put(ErrorMessageModel.CODE, code);
        return find(searchParameters);
    }
}
