package com.psp.payment.common.dto;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "ncresponse")
@XmlAccessorType(XmlAccessType.FIELD)
public class PspTransactionResponse
{
    @XmlAttribute
    private String payIdSub;
    @XmlAttribute
    private String amount;
    @XmlAttribute
    private String orderId;
    @XmlAttribute
    private String acceptance;
    @XmlAttribute
    private String currency;
    @XmlAttribute
    private String ncStatus;
    @XmlAttribute
    private String payId;
    @XmlAttribute
    private String status;
    @XmlAttribute
    private String ip;
    @XmlAttribute
    private String eci;
    @XmlAttribute
    private String pm;
    @XmlAttribute
    private String brand;
    @XmlAttribute
    private String cardNo;
    @XmlAttribute
    private String ncError;
    @XmlAttribute
    private String ncErrorPlus;

    public String getPayIdSub()
    {
        return payIdSub;
    }

    public void setPayIdSub(String payIdSub)
    {
        this.payIdSub = payIdSub;
    }

    public String getAmount()
    {
        return amount;
    }

    public void setAmount(String amount)
    {
        this.amount = amount;
    }

    public String getAcceptance()
    {
        return acceptance;
    }

    public void setAcceptance(String acceptance)
    {
        this.acceptance = acceptance;
    }

    public String getOrderId()
    {
        return orderId;
    }

    public void setOrderId(String orderId)
    {
        this.orderId = orderId;
    }

    public String getCurrency()
    {
        return currency;
    }

    public void setCurrency(String currency)
    {
        this.currency = currency;
    }

    public String getNcStatus()
    {
        return ncStatus;
    }

    public void setNcStatus(String ncStatus)
    {
        this.ncStatus = ncStatus;
    }

    public String getPayId()
    {
        return payId;
    }

    public void setPayId(String payId)
    {
        this.payId = payId;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getIp()
    {
        return ip;
    }

    public void setIp(String ip)
    {
        this.ip = ip;
    }

    public String getEci()
    {
        return eci;
    }

    public void setEci(String eci)
    {
        this.eci = eci;
    }

    public String getPm()
    {
        return pm;
    }

    public void setPm(String pm)
    {
        this.pm = pm;
    }

    public String getBrand()
    {
        return brand;
    }

    public void setBrand(String brand)
    {
        this.brand = brand;
    }

    public String getCardNo()
    {
        return cardNo;
    }

    public void setCardNo(String cardNo)
    {
        this.cardNo = cardNo;
    }

    public String getNcError()
    {
        return ncError;
    }

    public void setNcError(String ncError)
    {
        this.ncError = ncError;
    }

    public String getNcErrorPlus()
    {
        return ncErrorPlus;
    }

    public void setNcErrorPlus(String ncErrorPlus)
    {
        this.ncErrorPlus = ncErrorPlus;
    }

    @Override
    public String toString()
    {
        return "PspTransactionResponse{" +
                "payIdSub='" + payIdSub + '\'' +
                ", amount='" + amount + '\'' +
                ", acceptance='" + acceptance + '\'' +
                ", orderId='" + orderId + '\'' +
                ", currency='" + currency + '\'' +
                ", ncStatus='" + ncStatus + '\'' +
                ", payId='" + payId + '\'' +
                ", status='" + status + '\'' +
                ", ip='" + ip + '\'' +
                ", eci='" + eci + '\'' +
                ", pm='" + pm + '\'' +
                ", brand='" + brand + '\'' +
                ", cardNo='" + cardNo + '\'' +
                ", ncError='" + ncError + '\'' +
                ", ncErrorPlus='" + ncErrorPlus + '\'' +
                '}';
    }
}
