package com.psp.payment.common.facades.order;

import com.psp.data.PspCardAuthorizationData;
import com.psp.payment.common.dto.PspPaymentModeData;
import de.hybris.platform.acceleratorfacades.order.AcceleratorCheckoutFacade;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;

public interface PspCheckoutFacade extends AcceleratorCheckoutFacade {

    PspCardAuthorizationData authorizeCardPayment(final String securityCode);

    PaymentData createFlexPaymentData();

    void saveSubscription(PspPaymentModeData paymentModeData);

    void saveBillingAddressToPaymentInfo();

    void setPaymentModeIfAvailable();

    void setPaymentMode(String code);

    String fetchPaymentErrorCode();
}
