package com.psp.payment.common.factories;

import com.psp.payment.common.strategies.PspPaymentInfoConvertStrategy;
import de.hybris.platform.core.model.order.payment.PaymentInfoModel;

import java.util.Map;

public class PspPaymentInfoConvertStrategyFactory {

    private Map<String, PspPaymentInfoConvertStrategy> paymentInfoConvertStrategyMapping;

    public PspPaymentInfoConvertStrategy getPaymentInfoConvertStrategy(PaymentInfoModel paymentInfoModel) {
        return getPaymentInfoConvertStrategyMapping().get(paymentInfoModel.getItemtype());
    }

    public Map<String, PspPaymentInfoConvertStrategy> getPaymentInfoConvertStrategyMapping() {
        return paymentInfoConvertStrategyMapping;
    }

    public void setPaymentInfoConvertStrategyMapping(Map<String, PspPaymentInfoConvertStrategy> paymentInfoConvertStrategyMapping) {
        this.paymentInfoConvertStrategyMapping = paymentInfoConvertStrategyMapping;
    }
}
