package com.psp.payment.common.services;

import de.hybris.platform.commercefacades.user.data.AddressData;

/**
 * Contract for performing address related operations.
 */
public interface PspAddressService {

    /**
     * Saves existing billing address to the checkout cart. If the address is
     * not provided, no action will be performed.
     *
     * @param addressData       the billing address
     * @param isExistingAddress if billing address is same as shipping address
     */
    void saveBillingAddressToCurrentCart(AddressData addressData, boolean isExistingAddress);
}
