package com.psp.payment.common.services;

import de.hybris.platform.commercefacades.user.data.AddressData;
import de.hybris.platform.core.model.user.CustomerModel;

/**
 * Contract for PSP specific customer related operations.
 */
public interface PspCustomerService {

    /**
     * Fetches the customer first name and last name from the address and saves
     * it in the name attribute of CustomerModel.
     *
     * @param address the address dto
     */
    CustomerModel setCustomerNameFromAddress(AddressData address);
}
