package com.psp.payment.common.services;

import de.hybris.platform.core.model.order.payment.PaymentInfoModel;
import de.hybris.platform.core.model.order.payment.PaymentModeModel;
import de.hybris.platform.order.PaymentModeService;

import java.util.List;

public interface PspPaymentModeService extends PaymentModeService {

    List<PaymentModeModel> getAvailablePaymentModeForCode(String code);

    List<PaymentModeModel> getAvailablePaymentMethods();

    PaymentModeModel getPaymentModeForPaymentInfo(PaymentInfoModel paymentInfoModel);
}
