package com.psp.payment.common.services;

import com.psp.payment.common.enums.PspOperation;
import de.hybris.platform.basecommerce.model.site.BaseSiteModel;
import de.hybris.platform.core.model.order.payment.PaymentInfoModel;
import de.hybris.platform.core.model.order.payment.PaymentModeModel;
import de.hybris.platform.payment.enums.PaymentTransactionType;

public interface PspPaymentProcessService {

    PspOperation findOperationForPaymentMode(PaymentModeModel paymentModeModel);

    PaymentTransactionType findPaymentTransactionTypeForPaymentInfo(PaymentInfoModel paymentInfoModel, BaseSiteModel baseSiteModel);
}
