package com.psp.payment.common.services;

import com.psp.data.PspPaymentSubscriptionResultItem;
import com.psp.model.AbstractFlexPaymentInfoModel;
import de.hybris.platform.acceleratorservices.payment.PaymentService;

import java.util.Map;

public interface PspPaymentService extends PaymentService {

    PspPaymentSubscriptionResultItem completeHopCreatePaymentSubscription(Map<String, String> parameters);

    boolean validateCartDetails(Map<String, String> parameters, String orderIdKey, String amountKey);

    AbstractFlexPaymentInfoModel createPaymentInfo(Map<String, String> response);

    void processPostPaymentFeedback(Map<String, String> parameters);
}
