package com.psp.payment.common.strategies;

import de.hybris.platform.core.model.order.AbstractOrderModel;

public interface PspGenerateMerchantTransactionCodeStrategy {

    /**
     * Generates a unique id for payment transaction.
     *
     * @param abstractOrderModel An order or cart
     * @return A unique identifier
     */
    String generateCode(AbstractOrderModel abstractOrderModel);
}
