package com.psp.payment.common.strategies.impl;

import com.psp.payment.common.strategies.PspGenerateMerchantTransactionCodeStrategy;
import de.hybris.platform.core.model.order.AbstractOrderModel;

import java.util.UUID;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspGenerateMerchantTransactionCodeStrategyImpl implements PspGenerateMerchantTransactionCodeStrategy {

    @Override
    public String generateCode(AbstractOrderModel abstractOrderModel) {
        validateParameterNotNull(abstractOrderModel, "Parameter [abstractOrderModel] cannot be null.");
        return abstractOrderModel.getUser().getUid() + "-" + UUID.randomUUID();
    }
}
