package com.psp.payment.directlink.strategies;

/**
 * Contract for building address.
 */
public interface PspAddressBuilderStrategy {

    /**
     * Combines the line 1 and line 2 of address into a single line separated
     * by a comma and a space.
     *
     * @param addressLine1 line 1 of address
     * @param addressLine2 line 2 of address
     * @return Combined address
     */
    String buildAddress(String addressLine1, String addressLine2);
}
