package com.psp.payment.flexpayments.populators;

import com.psp.constants.PspConstants;
import com.psp.payment.flexpayments.dto.PspFlexPaymentRequest;
import com.psp.payment.tokenisation.converters.populators.request.AbstractPspPopulator;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspFlexPaymentPostUrlPopulator extends AbstractPspPopulator<PspFlexPaymentRequest, PaymentData> {
    @Override
    public void populate(PspFlexPaymentRequest source, PaymentData target) {
        validateParameterNotNull(source, "Parameter [PspFlexPaymentRequest] source cannot be null");
        validateParameterNotNull(target, "Parameter [PaymentData] target cannot be null");

        target.setPostUrl(getParameter(PspConstants.PARAM_FLEX_REQUEST_URL));
    }
}
