package com.psp.payment.flexpayments.strategies;

import com.psp.payment.flexpayments.dto.PspFlexPaymentRequest;
import de.hybris.platform.core.model.order.CartModel;

public interface PspCreateFlexPaymentRequestStrategy {
    /**
     * Creates Flex payment request from cart
     *
     * @param cartModel
     * @return flexpayment request
     */
    PspFlexPaymentRequest createFlexPaymentRequest(CartModel cartModel);
}
