package com.psp.payment.flexpayments.strategies.impl;

import com.psp.data.payment.PspFlexPaymentInfoData;
import com.psp.model.AbstractFlexPaymentInfoModel;
import com.psp.payment.common.strategies.PspPaymentInfoConvertStrategy;
import de.hybris.platform.servicelayer.dto.converter.Converter;

import javax.annotation.Resource;

public class PspFlexPaymentInfoConvertStrategyImpl implements PspPaymentInfoConvertStrategy<PspFlexPaymentInfoData, AbstractFlexPaymentInfoModel> {

    @Resource
    private Converter<AbstractFlexPaymentInfoModel, PspFlexPaymentInfoData> pspFlexPaymentInfoConverter;

    @Override
    public PspFlexPaymentInfoData convert(AbstractFlexPaymentInfoModel paymentInfoModel) {
        return pspFlexPaymentInfoConverter.convert(paymentInfoModel);
    }
}
