package com.psp.payment.flexpayments.strategies.impl;

import com.psp.model.GenericFlexPaymentInfoModel;
import de.hybris.platform.core.model.order.CartModel;
import de.hybris.platform.servicelayer.model.ModelService;

import javax.annotation.Resource;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspGenericFlexPaymentInfoCreateStrategyImpl extends PspFlexPaymentInfoCreateStrategyImpl<GenericFlexPaymentInfoModel> {

    @Resource
    private ModelService modelService;

    @Override
    public GenericFlexPaymentInfoModel saveSubscription(CartModel cartModel) {
        validateParameterNotNull(cartModel, "CartModel cannot be null");

        GenericFlexPaymentInfoModel genericFlexPaymentInfoModel = modelService.create(GenericFlexPaymentInfoModel.class);
        return super.saveSubscription(genericFlexPaymentInfoModel, cartModel);
    }
}
