package com.psp.payment.flexpayments.strategies.impl;

import com.psp.model.PayPalPaymentInfoModel;
import de.hybris.platform.core.model.order.CartModel;
import de.hybris.platform.servicelayer.model.ModelService;

import javax.annotation.Resource;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspPayPalPaymentInfoCreateStrategyImpl extends PspFlexPaymentInfoCreateStrategyImpl<PayPalPaymentInfoModel> {

    @Resource
    private ModelService modelService;

    @Override
    public PayPalPaymentInfoModel saveSubscription(CartModel cartModel) {
        validateParameterNotNull(cartModel, "CartModel cannot be null");
        PayPalPaymentInfoModel payPalPaymentInfoModel = modelService.create(PayPalPaymentInfoModel.class);
        return super.saveSubscription(payPalPaymentInfoModel, cartModel);

    }

}
