package com.psp.payment.integration.response.status;

public interface PspPaymentStatus {
    int STATUS_INCOMPLETE_OR_INVALID = 0;
    int STATUS_CANCELLED_BY_CLIENT = 1;
    int STATUS_AUTHORISATION_REFUSED = 2;
    int STATUS_ORDER_STORED = 4;
    int STATUS_STORE_WAIT_EXTERNAL_RESULT = 40;
    int STATUS_WAITING_FOR_CLIENT_PAYMENT = 41;
    int STATUS_AUTHORISED = 5;
    int STATUS_AUTHORISED_WAITING_EXTERNAL_RESULT = 50;
    int STATUS_AUTHORISATION_WAITING = 51;
    int STATUS_AUTHORISATION_NOT_KNOWN = 52;
    int STATUS_STANDBY = 55;
    int STATUS_OK_WITH_SCHEDULED_PAYMENTS = 56;
    int STATUS_NOT_OK_WITH_SCHEDULED_PAYMENTS = 57;
    int STATUS_AUTHORISATION_TO_BE_REQUESTED_MANUALLY = 59;
    int STATUS_AUTHORISED_AND_CANCELED = 6;
    int STATUS_AUTHORISED_DELETION_WAITING = 61;
    int STATUS_AUTHORISED_DELETION_UNCERTAIN = 62;
    int STATUS_AUTHORISED_DELETION_REFUSED = 63;
    int STATUS_AUTHORISED_AND_CANCELED2 = 64;
    int STATUS_PAYMENT_DELETED = 7;
    int STATUS_PAYMENT_DELETION_PENDING = 71;
    int STATUS_PAYMENT_DELETION_UNCERTAIN = 72;
    int STATUS_PAYMENT_DELETION_REFUSED = 73;
    int STATUS_PAYMENT_DELETED2 = 74;
    int STATUS_DELETION_HANDLED_BY_MERCHANT = 75;
    int STATUS_REFUND = 8;
    int STATUS_REFUND_PENDING = 81;
    int STATUS_REFUND_UNCERTAIN = 82;
    int STATUS_REFUND_REFUSED = 83;
    int STATUS_REFUND2 = 84;
    int STATUS_REFUND_HANDLED_BY_MERCHANT = 85;
    int STATUS_PAYMENT_REQUESTED = 9;
    int STATUS_PAYMENT_PROCESSING = 91;
    int STATUS_PAYMENT_UNCERTAIN = 92;
    int STATUS_PAYMENT_REFUSED = 93;
    int STATUS_REFUND_DECLINED_BY_ACQUIRER = 94;
    int STATUS_PAYMENT_HANDLED_BY_MERCHANT = 95;
    int STATUS_REFUND_REVERSED = 96;
    int STATUS_BEING_PROCESSED = 99;
    int STATUS_IDENTIFICATION_REQUESTED = 46;
}
