package com.psp.payment.maintenance.strategies;

import com.psp.payment.common.enums.PspMaintenanceRequestType;
import com.psp.payment.maintenance.dto.PspMaintenanceResponse;
import de.hybris.platform.core.model.order.OrderModel;
import de.hybris.platform.payment.model.PaymentTransactionEntryModel;

public interface PspMaintenanceResponseParsingStrategy {

    PaymentTransactionEntryModel parseResponse(PspMaintenanceRequestType pspMaintenanceRequestType,
                                               OrderModel orderModel, PspMaintenanceResponse pspMaintenanceResponse);
}
