package com.psp.payment.tokenisation.converters.populators.request;

import com.psp.constants.PspConstants;
import com.psp.payment.tokenisation.dto.PspCreateSubscriptionRequest;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;

import java.util.Map;

/**
 * Populates the customer data for PSP.
 */
public class PspCustomerInfoPopulator extends AbstractPspPopulator<PspCreateSubscriptionRequest, PaymentData> {

    @Override
    public void populate(PspCreateSubscriptionRequest source, PaymentData target) {
        initialiseParameters(target);
        Map<String, String> parameterMap = target.getParameters();
        parameterMap.put(PspConstants.KEY_STORE_PERMANENTLY, source.getStorePermanently());
    }
}
