package com.psp.payment.tokenisation.converters.populators.request;

import com.psp.constants.PspConstants;
import com.psp.payment.tokenisation.dto.PspCreateSubscriptionRequest;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;

import java.util.Map;

/**
 * Populates the login details for PSP.
 */
public class PspOtherParametersPopulator extends AbstractPspPopulator<PspCreateSubscriptionRequest, PaymentData> {

    @Override
    public void populate(PspCreateSubscriptionRequest source, PaymentData target) {
        initialiseParameters(target);
        Map<String, String> parameterMap = target.getParameters();
        parameterMap.put(PspConstants.KEY_TOKENISATION_PSPID, source.getPspId());
        parameterMap.put(PspConstants.KEY_PARAM_PLUS, source.getParamPlus());
    }
}
