package com.psp.payment.tokenisation.strategies.impl;

import com.psp.payment.common.strategies.PspPaymentInfoConvertStrategy;
import de.hybris.platform.commercefacades.order.data.CCPaymentInfoData;
import de.hybris.platform.core.model.order.payment.CreditCardPaymentInfoModel;
import de.hybris.platform.servicelayer.dto.converter.Converter;

import javax.annotation.Resource;

public class PspCreditCardPaymentInfoConvertStrategyImpl implements PspPaymentInfoConvertStrategy<CCPaymentInfoData, CreditCardPaymentInfoModel> {

    @Resource
    private Converter<CreditCardPaymentInfoModel, CCPaymentInfoData> creditCardPaymentInfoConverter;
    @Override
    public CCPaymentInfoData convert(CreditCardPaymentInfoModel paymentInfoModel) {
        return creditCardPaymentInfoConverter.convert(paymentInfoModel);
    }
}
