package com.psp.payment.tokenisation.strategies.impl;

import com.psp.model.DirectDebitPaymentInfoModel;
import com.psp.payment.common.strategies.PspPaymentInfoConvertStrategy;
import de.hybris.platform.commercefacades.order.data.CCPaymentInfoData;
import de.hybris.platform.servicelayer.dto.converter.Converter;

import javax.annotation.Resource;

public class PspDirectDebitPaymentInfoConvertStrategyImpl implements PspPaymentInfoConvertStrategy<CCPaymentInfoData, DirectDebitPaymentInfoModel> {

    @Resource
    private Converter<DirectDebitPaymentInfoModel, CCPaymentInfoData> directDebitPaymentInfoConverter;

    @Override
    public CCPaymentInfoData convert(DirectDebitPaymentInfoModel paymentInfoModel) {
        return directDebitPaymentInfoConverter.convert(paymentInfoModel);
    }
}
