package com.psp.payment.tokenisation.strategies.impl;


import static org.junit.Assert.*;
import static org.mockito.Mockito.verify;

import com.psp.jalo.DirectDebitPaymentInfo;
import com.psp.model.DirectDebitPaymentInfoModel;
import de.hybris.bootstrap.annotations.UnitTest;
import de.hybris.platform.commercefacades.order.data.CCPaymentInfoData;
import de.hybris.platform.servicelayer.dto.converter.Converter;
import org.junit.Before;
import org.junit.runner.RunWith;
import org.junit.Test;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;
import org.mockito.InjectMocks;

@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class PspDirectDebitPaymentInfoConvertStrategyImplTest {
    @InjectMocks
    private PspDirectDebitPaymentInfoConvertStrategyImpl pspDirectDebitPaymentInfoConvertStrategy;

    @Mock
    private Converter<DirectDebitPaymentInfoModel, CCPaymentInfoData> directDebitPaymentInfoConverter;
    @Test
    public void convert() throws Exception {
        // Given
        DirectDebitPaymentInfoModel directDebitPaymentInfoModel = new DirectDebitPaymentInfoModel();

        // When
        pspDirectDebitPaymentInfoConvertStrategy.convert(directDebitPaymentInfoModel);

        //Then
        verify(directDebitPaymentInfoConverter).convert(directDebitPaymentInfoModel);
    }



}