/*
 * [y] hybris Platform
 *
 * Copyright (c) 2000-2015 hybris AG
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of hybris
 * ("Confidential Information"). You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms of the
 * license agreement you entered into with hybris.
 *
 *
 */
package com.psp.addon.controllers;

/**
 */
public interface PspaddonControllerConstants {
    // implement here controller constants used by this extension
    interface Views {
        interface Pages {
            interface MultiStepCheckout {
                String AddEditDeliveryAddressPage = "addon:/pspaddon/pages/checkout/multi/addEditDeliveryAddressPage";
                String AddPaymentMethodPage = "pages/checkout/multi/addPaymentMethodPage";
                String HostedOrderPostPage = "addon:/pspaddon/pages/checkout/multi/hostedOrderPostPage";
                String HostedOrderFrame = "addon:/pspaddon/pages/checkout/multi/pspPaymentFrame";
                String ProcessPaymentFrame = "addon:/pspaddon/pages/checkout/multi/pspProcessPaymentFrame";
                String CheckoutSummaryPage = "addon:/pspaddon/pages/checkout/multi/checkoutSummaryPage";
                String HostedOrder3DSecureFrame = "addon:/pspaddon/pages/checkout/multi/psp3DSecureFrame";
                String PaymentMethodsPage = "addon:/pspaddon/pages/checkout/multi/paymentMethodsPage";
            }

            interface Checkout {
                String CheckoutConfirmationPage = "addon:/pspaddon/pages/checkout/checkoutConfirmationPage";
            }
        }

        interface Fragments {
            interface Checkout {
                String BillingAddressForm = "addon:/pspaddon/fragments/checkout/billingAddressForm";
            }
        }
    }
}
