package com.psp.payment.common.converters.populators;

import com.psp.payment.common.factories.PspPaymentInfoConvertStrategyFactory;
import de.hybris.platform.commercefacades.order.converters.populator.OrderPopulator;
import de.hybris.platform.commercefacades.order.data.AbstractOrderData;
import de.hybris.platform.core.model.order.AbstractOrderModel;
import de.hybris.platform.core.model.order.payment.PaymentInfoModel;

import javax.annotation.Resource;

public class PspOrderPopulator extends OrderPopulator {

    @Resource
    private PspPaymentInfoConvertStrategyFactory pspPaymentInfoConvertStrategyFactory;

    @Override
    protected void addPaymentInformation(AbstractOrderModel source, AbstractOrderData target) {
        final PaymentInfoModel paymentInfo = source.getPaymentInfo();
        target.setPaymentInfo(pspPaymentInfoConvertStrategyFactory.getPaymentInfoConvertStrategy(paymentInfo).convert(paymentInfo));
    }
}
