package com.psp.payment.common.dao.impl;

import com.psp.model.StatusMessageModel;
import com.psp.payment.common.dao.PspStatusMessageDao;
import de.hybris.platform.servicelayer.internal.dao.DefaultGenericDao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class PspStatusMessageDaoImpl extends DefaultGenericDao<StatusMessageModel> implements PspStatusMessageDao {

    public PspStatusMessageDaoImpl() {
        this(StatusMessageModel._TYPECODE);
    }

    public PspStatusMessageDaoImpl(String typecode) {
        super(typecode);
    }

    @Override
    public List<StatusMessageModel> findErrorMessageByStatus(String status) {
        Map<String, String> searchParameters = new HashMap<>();
        searchParameters.put(StatusMessageModel.STATUS, status);
        return find(searchParameters);
    }
}
