package com.psp.payment.common.dto;

import java.util.Objects;

public class PspPaymentRequest {

    private String pspId;
    private String orderId;
    private String paymentMethod;
    private String acceptUrl;
    private String exceptionUrl;
    private String shaSign;
    private String declineUrl;
    private String cancelUrl;
    private String brand;

    public String getPspId() {
        return pspId;
    }

    public void setPspId(String pspId) {
        this.pspId = pspId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public String getAcceptUrl() {
        return acceptUrl;
    }

    public void setAcceptUrl(String acceptUrl) {
        this.acceptUrl = acceptUrl;
    }

    public String getExceptionUrl() {
        return exceptionUrl;
    }

    public void setExceptionUrl(String exceptionUrl) {
        this.exceptionUrl = exceptionUrl;
    }

    public String getShaSign() {
        return shaSign;
    }

    public void setShaSign(String shaSign) {
        this.shaSign = shaSign;
    }

    public String getDeclineUrl() {
        return declineUrl;
    }

    public void setDeclineUrl(String declineUrl) {
        this.declineUrl = declineUrl;
    }

    public String getCancelUrl() {
        return cancelUrl;
    }

    public void setCancelUrl(String cancelUrl) {
        this.cancelUrl = cancelUrl;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }

        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        PspPaymentRequest that = (PspPaymentRequest) o;

        return Objects.equals(getPspId(), that.getPspId()) &&
                Objects.equals(getOrderId(), that.getOrderId()) &&
                Objects.equals(getPaymentMethod(), that.getPaymentMethod()) &&
                Objects.equals(getAcceptUrl(), that.getAcceptUrl()) &&
                Objects.equals(getExceptionUrl(), that.getExceptionUrl()) &&
                Objects.equals(getShaSign(), that.getShaSign()) &&
                Objects.equals(getDeclineUrl(), that.getDeclineUrl()) &&
                Objects.equals(getCancelUrl(), that.getCancelUrl()) &&
                Objects.equals(getBrand(), that.getBrand());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getPspId(), getOrderId(), getPaymentMethod(), getAcceptUrl(), getExceptionUrl(), getShaSign(), getDeclineUrl(), getCancelUrl(), getBrand());
    }
}
