package com.psp.payment.directlink.dto;

import de.hybris.platform.payment.commands.result.AuthorizationResult;

/**
 * Extended from ootb result class to add more psp specific params.
 */
public class PspAuthorizationResult extends AuthorizationResult {

    private String orderId;

    private String brand;

    private String eci;

    private String pm;

    private String status;

    private String ncError;

    private String ncErrorPlus;

    private String ncStatus;

    private String htmlAnswer;

    private String pspTransactionStatus;

    public String getHtmlAnswer() {
        return htmlAnswer;
    }

    public void setHtmlAnswer(String htmlAnswer) {
        this.htmlAnswer = htmlAnswer;
    }


    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getEci() {
        return eci;
    }

    public void setEci(String eci) {
        this.eci = eci;
    }

    public String getPm() {
        return pm;
    }

    public void setPm(String pm) {
        this.pm = pm;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getNcError() {
        return ncError;
    }

    public void setNcError(String ncError) {
        this.ncError = ncError;
    }

    public String getNcErrorPlus() {
        return ncErrorPlus;
    }

    public void setNcErrorPlus(String ncErrorPlus) {
        this.ncErrorPlus = ncErrorPlus;
    }

    public String getNcStatus() {
        return ncStatus;
    }

    public void setNcStatus(String ncStatus) {
        this.ncStatus = ncStatus;
    }


    public String getPspTransactionStatus() {
        return pspTransactionStatus;
    }

    public void setPspTransactionStatus(String pspTransactionStatus) {
        this.pspTransactionStatus = pspTransactionStatus;
    }
}
