package com.psp.payment.directlink.services;

import com.psp.payment.directlink.exception.RequiredFieldException;
import com.psp.payment.directlink.request.PspDirectLinkRequest;
import com.psp.payment.directlink.response.PspDirectLinkResponse;
import de.hybris.platform.payment.dto.TransactionStatusDetails;
import de.hybris.platform.payment.model.PaymentTransactionEntryModel;

import java.util.Map;

public interface PspDirectLinkService {

    PspDirectLinkResponse executeDirectLinkRequest(PspDirectLinkRequest pspDirectLinkRequest) throws RequiredFieldException;

    PaymentTransactionEntryModel createPaymentTransactionAndEntry(Map<String, String> parameters);

    String getTransactionStatus(Map<String, String> parameters);

    TransactionStatusDetails getTransactionStatusDetails(Map<String, String> parameters);
}
