package com.psp.payment.flexpayments.dto;

import com.psp.payment.common.dto.PspPaymentRequest;

import java.math.BigDecimal;
import java.util.Objects;

public class PspFlexPaymentRequest extends PspPaymentRequest {

    private String currency;

    private BigDecimal amount;

    private String language;

    private String customerName;

    private String email;

    private String ownerZip;

    private String ownerAddress;

    private String ownerCountry;

    private String ownerTown;

    private String ownerTelephoneNumber;

    private String brand;

    private String backUrl;

    private String trackingKey;

    private String template;

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getOwnerZip() {
        return ownerZip;
    }

    public void setOwnerZip(String ownerZip) {
        this.ownerZip = ownerZip;
    }

    public String getOwnerAddress() {
        return ownerAddress;
    }

    public void setOwnerAddress(String ownerAddress) {
        this.ownerAddress = ownerAddress;
    }

    public String getOwnerCountry() {
        return ownerCountry;
    }

    public void setOwnerCountry(String ownerCountry) {
        this.ownerCountry = ownerCountry;
    }

    public String getOwnerTown() {
        return ownerTown;
    }

    public void setOwnerTown(String ownerTown) {
        this.ownerTown = ownerTown;
    }

    public String getOwnerTelephoneNumber() {
        return ownerTelephoneNumber;
    }

    public void setOwnerTelephoneNumber(String ownerTelephoneNumber) {
        this.ownerTelephoneNumber = ownerTelephoneNumber;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getBackUrl() {
        return backUrl;
    }

    public void setBackUrl(String backUrl) {
        this.backUrl = backUrl;
    }

    public String getTrackingKey() {
        return trackingKey;
    }

    public void setTrackingKey(String trackingKey) {
        this.trackingKey = trackingKey;
    }

    public String getTemplate() {
        return template;
    }

    public void setTemplate(String template) {
        this.template = template;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }

        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        if (!super.equals(o)) {
            return false;
        }

        PspFlexPaymentRequest that = (PspFlexPaymentRequest) o;

        return Objects.equals(getCurrency(), that.getCurrency()) && Objects.equals(getAmount(), that.getAmount()) &&
                Objects.equals(getLanguage(), that.getLanguage()) &&
                Objects.equals(getCustomerName(), that.getCustomerName()) &&
                Objects.equals(getEmail(), that.getEmail()) && Objects.equals(getOwnerZip(), that.getOwnerZip()) &&
                Objects.equals(getOwnerAddress(), that.getOwnerAddress()) &&
                Objects.equals(getOwnerCountry(), that.getOwnerCountry()) &&
                Objects.equals(getOwnerTown(), that.getOwnerTown()) &&
                Objects.equals(getOwnerTelephoneNumber(), that.getOwnerTelephoneNumber()) &&
                Objects.equals(getBrand(), that.getBrand()) && Objects.equals(getTrackingKey(), that.getTrackingKey());
    }

    @Override
    public int hashCode() {
        return Objects.hash(super.hashCode(), getCurrency(), getAmount(), getLanguage(), getCustomerName(), getEmail(),
                getOwnerZip(), getOwnerAddress(), getOwnerCountry(), getOwnerTown(), getOwnerTelephoneNumber(),
                getBrand(), getTrackingKey());
    }
}
