package com.psp.payment.flexpayments.strategies.impl;

import com.psp.model.IDealPaymentInfoModel;
import de.hybris.platform.core.model.order.CartModel;
import de.hybris.platform.servicelayer.model.ModelService;

import javax.annotation.Resource;

import static de.hybris.platform.servicelayer.util.ServicesUtil.validateParameterNotNull;

public class PspIDealPaymentInfoCreateStrategyImpl extends PspFlexPaymentInfoCreateStrategyImpl<IDealPaymentInfoModel> {

    @Resource
    private ModelService modelService;

    @Override
    public IDealPaymentInfoModel saveSubscription(CartModel cartModel) {
        validateParameterNotNull(cartModel, "CartModel cannot be null");
        IDealPaymentInfoModel iDealPaymentInfoModel = modelService.create(IDealPaymentInfoModel.class);
        return super.saveSubscription(iDealPaymentInfoModel, cartModel);
    }
}
