package com.psp.payment.fraud;

import de.hybris.platform.basecommerce.enums.FraudStatus;
import de.hybris.platform.core.model.order.OrderModel;
import de.hybris.platform.fraud.FraudService;
import de.hybris.platform.fraud.impl.FraudServiceResponse;
import de.hybris.platform.fraud.model.FraudReportModel;
import de.hybris.platform.orderhistory.model.OrderHistoryEntryModel;

public interface PspFraudService extends FraudService{
    FraudReportModel createFraudReport(final String providerName, final FraudServiceResponse response,
                                       final OrderModel order, final FraudStatus status);
    OrderHistoryEntryModel createHistoryLog(final String providerName, final OrderModel order, final FraudStatus status,
                                            final String code);
}
