package com.psp.payment.maintenance.services;

import de.hybris.platform.core.model.order.OrderModel;
import de.hybris.platform.payment.model.PaymentTransactionEntryModel;

import java.math.BigDecimal;
import java.net.URISyntaxException;

public interface PspMaintenanceService {

    PaymentTransactionEntryModel captureFunds(OrderModel orderModel, BigDecimal proposedAmount) throws URISyntaxException;

    PaymentTransactionEntryModel refundFunds(OrderModel orderModel, BigDecimal proposedAmount) throws URISyntaxException;
}
