package com.psp.payment.maintenance.strategies;

import com.psp.payment.maintenance.dto.PspMaintenanceResponse;
import de.hybris.platform.core.model.order.OrderModel;
import de.hybris.platform.payment.enums.PaymentTransactionType;
import de.hybris.platform.payment.model.PaymentTransactionEntryModel;

public interface PspMaintenancePaymentTransactionCreationStrategy {

    PaymentTransactionEntryModel createPaymentTransaction(PaymentTransactionType paymentTransactionType,
                                                          OrderModel orderModel,
                                                          PspMaintenanceResponse pspMaintenanceResponse);
}
