package com.psp.payment.maintenance.strategies;

import com.psp.payment.common.enums.PspMaintenanceRequestType;
import com.psp.payment.maintenance.dto.PspMaintenanceRequest;
import de.hybris.platform.core.model.order.OrderModel;

import java.math.BigDecimal;

public interface PspMaintenanceRequestCreationStrategy {

    PspMaintenanceRequest createMaintenanceRequest(PspMaintenanceRequestType pspMaintenanceRequestType, OrderModel orderModel, BigDecimal amount);
}
