package com.psp.payment.tokenisation.converters.populators.request;

import com.psp.constants.PspConstants;
import com.psp.payment.tokenisation.dto.PspCreateSubscriptionRequest;
import de.hybris.platform.acceleratorservices.payment.data.PaymentData;
import de.hybris.platform.converters.Populator;
import de.hybris.platform.servicelayer.config.ConfigurationService;

import javax.annotation.Resource;

/**
 * Populates the payment data for PSP.
 */
public class PspPaymentDataPopulator implements Populator<PspCreateSubscriptionRequest, PaymentData> {

    @Resource
    private ConfigurationService configurationService;

    @Override
    public void populate(PspCreateSubscriptionRequest source, PaymentData target) {
        target.setPostUrl(configurationService.getConfiguration().getString(PspConstants.PARAM_TOKENISATION_URL));
    }
}
