package com.psp.payment.flexpayments.strategies.impl;


import com.psp.data.payment.PspFlexPaymentInfoData;
import com.psp.model.PayPalPaymentInfoModel;
import de.hybris.bootstrap.annotations.UnitTest;
import de.hybris.platform.servicelayer.dto.converter.Converter;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;

import static org.mockito.Mockito.verify;

@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class PspFlexPaymentInfoConvertStrategyImplTest {
    @InjectMocks
    private PspFlexPaymentInfoConvertStrategyImpl pspPaypalPaymentInfoConvertStrategy;

    @Mock
    private Converter<PayPalPaymentInfoModel, PspFlexPaymentInfoData> pspPayPalPaymentInfoConverter;

    @Test
    public void convert() throws Exception {
        // Given
        PayPalPaymentInfoModel payPalPaymentInfoModel = new PayPalPaymentInfoModel();

        // When
        pspPaypalPaymentInfoConvertStrategy.convert(payPalPaymentInfoModel);

        //Then
        verify(pspPayPalPaymentInfoConverter).convert(payPalPaymentInfoModel);

    }


}