package com.psp.payment.tokenisation.strategies.impl;


import static org.junit.Assert.*;
import static org.mockito.Mockito.verify;

import de.hybris.bootstrap.annotations.UnitTest;
import de.hybris.platform.commercefacades.order.data.CCPaymentInfoData;
import de.hybris.platform.core.model.order.payment.CreditCardPaymentInfoModel;
import de.hybris.platform.servicelayer.dto.converter.Converter;
import org.junit.Before;
import org.junit.runner.RunWith;
import org.junit.Test;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;
import org.mockito.InjectMocks;

@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class PspCreditCardPaymentInfoConvertStrategyImplTest {
    @InjectMocks
    private PspCreditCardPaymentInfoConvertStrategyImpl pspCreditCardPaymentInfoConvertStrategy;
    @Mock
    private Converter<CreditCardPaymentInfoModel, CCPaymentInfoData> creditCardPaymentInfoConverter;

    @Test
    public void convert() throws Exception {
        // Given
        CreditCardPaymentInfoModel creditCardPaymentInfoModel = new CreditCardPaymentInfoModel();
        // When
        pspCreditCardPaymentInfoConvertStrategy.convert(creditCardPaymentInfoModel);

        //Then
        verify(creditCardPaymentInfoConverter).convert(creditCardPaymentInfoModel);

    }



}